Skip to main content
POST
Error

Path Parameters

sysidVisitor
integer<int32>
required

: Integer ID of the Visitor to update with an image

Body

: MultipartFormDataInput value with the image file information

Uploads an Image file for the Visitor identified by System ID. Images are interpreted into Visitor Image values. A valid image may be a PNG, JPG, TIFF, BMP or other valid image format.

The requesting User must have one of the following rights to perform this task:

This operation requires an application/octet-stream HTTP attachment with appropriate Content-Disposition headers.

This operation returns a Visitor Image value with the URL of the image hosted within the AgilQuest CDN.

Response

201 - application/json

VisitorImage

com.agilquest.phoenix.shared.data.visitor.VisitorImage

defaultImage
boolean
required
displayOrder
integer<int32>
imageSource
string
height
integer<int32>
thumbnailSource
string
sysidVisitorImage
integer<int32>
width
integer<int32>